--- old/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 12:19:58.748223225 -0400
+++ new/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 12:19:58.759821907 -0400
@@ -42,12 +42,12 @@
 #include <mksh/dosys.h>
 #include <mksh/macro.h>		/* getvar() */
 #include <mksh/misc.h>		/* getmem(), fatal_mksh(), errmsg() */
-#include <mksdmsi18n/mksdmsi18n.h>	/* libmksdmsi18n_init() */
 #include <sys/signal.h>		/* SIG_DFL */
 #include <sys/stat.h>		/* open() */
 #include <sys/wait.h>		/* wait() */
 #include <ulimit.h>		/* ulimit() */
 #include <unistd.h>		/* close(), dup2() */
+#include <libintl.h>
 
 /*
  * typedefs & structs
@@ -90,7 +90,7 @@
 	int		i;
 
 	if ((descriptor_limit = ulimit(UL_GDESLIM)) < 0) {
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 89, "ulimit() failed: %s"), errmsg(errno));
+		fatal_mksh(gettext("ulimit() failed: %s"), errmsg(errno));
 	}
 	for (i = 3; i < descriptor_limit; i++) {
 		(void) close(i);
@@ -98,30 +98,30 @@
 	if ((i = my_open(stdout_file,
 	         O_WRONLY | O_CREAT | O_TRUNC | O_DSYNC,
 	         S_IREAD | S_IWRITE)) < 0) {
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 90, "Couldn't open standard out temp file `%s': %s"),
+		fatal_mksh(gettext("Couldn't open standard out temp file `%s': %s"),
 		      stdout_file,
 		      errmsg(errno));
 	} else {
 		if (dup2(i, 1) == -1) {
-			fatal_mksh(NOCATGETS("*** Error: dup2(3, 1) failed: %s"),
+			fatal_mksh("*** Error: dup2(3, 1) failed: %s",
 				errmsg(errno));
 		}
 		close(i);
 	}
 	if (stderr_file == NULL) {
 		if (dup2(1, 2) == -1) {
-			fatal_mksh(NOCATGETS("*** Error: dup2(1, 2) failed: %s"),
+			fatal_mksh("*** Error: dup2(1, 2) failed: %s",
 				errmsg(errno));
 		}
 	} else if ((i = my_open(stderr_file,
 	                O_WRONLY | O_CREAT | O_TRUNC | O_DSYNC,
 	                S_IREAD | S_IWRITE)) < 0) {
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 91, "Couldn't open standard error temp file `%s': %s"),
+		fatal_mksh(gettext("Couldn't open standard error temp file `%s': %s"),
 		      stderr_file,
 		      errmsg(errno));
 	} else {
 		if (dup2(i, 2) == -1) {
-			fatal_mksh(NOCATGETS("*** Error: dup2(3, 2) failed: %s"),
+			fatal_mksh("*** Error: dup2(3, 2) failed: %s",
 				errmsg(errno));
 		}
 		close(i);
@@ -173,12 +173,12 @@
 	 * Nice priorities can be a positive or a negative number.
 	 */
 	if (nice_prio != 0) {
-		argv[argv_index++] = (char *)NOCATGETS("nice");
-		(void) sprintf(nice_prio_buf, NOCATGETS("-%d"), nice_prio);
+		argv[argv_index++] = (char *)"nice";
+		(void) sprintf(nice_prio_buf, "-%d", nice_prio);
 		argv[argv_index++] = strdup(nice_prio_buf);
 	}
 	argv[argv_index++] = shellname;
-	argv[argv_index++] = (char*)(ignore_error ? NOCATGETS("-c") : NOCATGETS("-ce"));
+	argv[argv_index++] = (char*)(ignore_error ? "-c" : "-ce");
 	if ((length = wslen(command)) >= MAXPATHLEN) {
 		tmp_mbs_buffer = getmem((length * MB_LEN_MAX) + 1);
                 (void) wcstombs(tmp_mbs_buffer, command, (length * MB_LEN_MAX) + 1);
@@ -200,18 +200,18 @@
 		}
 #endif
 		if (nice_prio != 0) {
-			(void) execve(NOCATGETS("/usr/bin/nice"), argv, environ);
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 92, "Could not load `/usr/bin/nice': %s"),
+			(void) execve("/usr/bin/nice", argv, environ);
+			fatal_mksh(gettext("Could not load `/usr/bin/nice': %s"),
 			      errmsg(errno));
 		} else {
 			(void) execve(shell->string_mb, argv, environ);
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 93, "Could not load Shell from `%s': %s"),
+			fatal_mksh(gettext("Could not load Shell from `%s': %s"),
 			      shell->string_mb,
 			      errmsg(errno));
 		}
 	}
 	if (childPid  == -1) {
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 94, "fork failed: %s"),
+		fatal_mksh(gettext("fork failed: %s"),
 		      errmsg(errno));
 	}
 	retmem_mb(argv[cmd_argv_index]);
@@ -266,7 +266,7 @@
 				shellname++;
 			}
 			shargv[0] = shellname;
-			shargv[1] = (char*)(ignore_error ? NOCATGETS("-c") : NOCATGETS("-ce"));
+			shargv[1] = (char*)(ignore_error ? "-c" : "-ce");
 			shargv[2] = argv[0];
 			shargv[3] = NULL;
 			tmp_shell = getvar(shell_name);
@@ -353,8 +353,8 @@
 	}
 
 	if (nice_prio != 0) {
-		*p++ = strdup(NOCATGETS("/usr/bin/nice"));
-		(void) sprintf(nice_prio_buf, NOCATGETS("-%d"), nice_prio);
+		*p++ = strdup("/usr/bin/nice");
+		(void) sprintf(nice_prio_buf, "-%d", nice_prio);
 		*p++ = strdup(nice_prio_buf);
 	}
 	/* Build list of argument words. */
@@ -362,7 +362,7 @@
 		if (p >= &argv[arg_count]) {
 			/* This should never happen, right? */
 			WCSTOMBS(mbs_buffer, command);
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 95, "Command `%s' has more than %d arguments"),
+			fatal_mksh(gettext("Command `%s' has more than %d arguments"),
 			      mbs_buffer,
 			      arg_count);
 		}
@@ -395,10 +395,10 @@
 		}
 #endif
 		(void) exec_vp(argv[1], argv, environ, ignore_error, vroot_path);
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 96, "Cannot load command `%s': %s"), argv[1], errmsg(errno));
+		fatal_mksh(gettext("Cannot load command `%s': %s"), argv[1], errmsg(errno));
 	}
 	if (childPid  == -1) {
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 97, "fork failed: %s"),
+		fatal_mksh(gettext("fork failed: %s"),
 		      errmsg(errno));
 	}
 	for (int i = 0; argv[i] != NULL; i++) {
@@ -445,7 +445,7 @@
 
 	while ((pid = wait(&status)) != running_pid) {
 		if (pid == -1) {
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 98, "wait() failed: %s"), errmsg(errno));
+			fatal_mksh(gettext("wait() failed: %s"), errmsg(errno));
 		}
 	}
 	(void) fflush(stdout);
@@ -454,21 +454,21 @@
         if (status == 0) {
 
 #ifdef PRINT_EXIT_STATUS
-		warning_mksh(NOCATGETS("I'm in await(), and status is 0."));
+		warning_mksh("I'm in await(), and status is 0.");
 #endif
 
                 return succeeded;
 	}
 
 #ifdef PRINT_EXIT_STATUS
-	warning_mksh(NOCATGETS("I'm in await(), and status is *NOT* 0."));
+	warning_mksh("I'm in await(), and status is *NOT* 0.");
 #endif
 
 
         exit_status = WEXITSTATUS(status);
 
 #ifdef PRINT_EXIT_STATUS
-	warning_mksh(NOCATGETS("I'm in await(), and exit_status is %d."), exit_status);
+	warning_mksh("I'm in await(), and exit_status is %d.", exit_status);
 #endif
 
         termination_signal = WTERMSIG(status);
@@ -483,27 +483,27 @@
 	if (!silent_error) {
 		if (exit_status != 0) {
 			(void) fprintf(stdout,
-				       catgets(libmksdmsi18n_catd, 1, 103, "*** Error code %d"),
+				       gettext("*** Error code %d"),
 				       exit_status);
 		} else {
 				(void) fprintf(stdout,
-					       catgets(libmksdmsi18n_catd, 1, 105, "*** Signal %d"),
+					       gettext("*** Signal %d"),
 					       termination_signal);
 			if (core_dumped) {
 				(void) fprintf(stdout,
-					       catgets(libmksdmsi18n_catd, 1, 107, " - core dumped"));
+					       gettext(" - core dumped"));
 			}
 		}
 		if (ignore_error) {
 			(void) fprintf(stdout,
-				       catgets(libmksdmsi18n_catd, 1, 109, " (ignored)"));
+				       gettext(" (ignored)"));
 		}
 		(void) fprintf(stdout, "\n");
 		(void) fflush(stdout);
 	}
 
 #ifdef PRINT_EXIT_STATUS
-	warning_mksh(NOCATGETS("I'm in await(), returning failed."));
+	warning_mksh("I'm in await(), returning failed.");
 #endif
 
 	return failed;
@@ -536,7 +536,7 @@
 	WCSTOMBS(mbs_buffer, command->buffer.start);
 	if ((fd = popen(mbs_buffer, "r")) == NULL) {
 		WCSTOMBS(mbs_buffer, command->buffer.start);
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 111, "Could not run command `%s' for :sh transformation"),
+		fatal_mksh(gettext("Could not run command `%s' for :sh transformation"),
 		      mbs_buffer);
 	}
 	while ((chr = getc(fd)) != EOF) {
@@ -569,7 +569,7 @@
 	status = pclose(fd);
 	if (status != 0) {
 		WCSTOMBS(mbs_buffer, command->buffer.start);
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 112, "The command `%s' returned status `%d'"),
+		fatal_mksh(gettext("The command `%s' returned status `%d'"),
 		      mbs_buffer,
 		      WEXITSTATUS(status));
 	}
--- old/usr/src/cmd/make/lib/mksh/macro.cc	2015-05-20 12:19:59.248893936 -0400
+++ new/usr/src/cmd/make/lib/mksh/macro.cc	2015-05-20 12:19:59.260675522 -0400
@@ -38,9 +38,9 @@
 #include <mksh/macro.h>
 #include <mksh/misc.h>		/* retmem() */
 #include <mksh/read.h>		/* get_next_block_fn() */
-#include <mksdmsi18n/mksdmsi18n.h>	/* libmksdmsi18n_init() */
 
 #include <widec.h>
+#include <libintl.h>
 
 /*
  * File table of contents
@@ -149,7 +149,7 @@
 	}
 
 	if (value->being_expanded) {
-		fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 113, "Loop detected when expanding macro value `%s'"),
+		fatal_reader_mksh(gettext("Loop detected when expanding macro value `%s'"),
 			     value->string_mb);
 	}
 	value->being_expanded = true;
@@ -214,7 +214,7 @@
 				return;
 			}
 			if (source->error_converting) {
-				fatal_reader_mksh(NOCATGETS("Internal error: Invalid byte sequence in expand_value()"));
+				fatal_reader_mksh("Internal error: Invalid byte sequence in expand_value()");
 			}
 			block_start = source_p;
 			source_p--;
@@ -299,11 +299,11 @@
 	}			replacement = no_replace;
 
 	if (make == NULL) {
-		MBSTOWCS(wcs_buffer, NOCATGETS("MAKE"));
+		MBSTOWCS(wcs_buffer, "MAKE");
 		make = GETNAME(wcs_buffer, FIND_LENGTH);
 
-		MBSTOWCS(colon_sh, NOCATGETS(":sh"));
-		MBSTOWCS(colon_shell, NOCATGETS(":shell"));
+		MBSTOWCS(colon_sh, ":sh");
+		MBSTOWCS(colon_shell, ":shell");
 	}
 
 	right_hand[0] = NULL;
@@ -317,11 +317,11 @@
 		GET_NEXT_BLOCK_NOCHK(source);
 		if (source == NULL) {
 			WCSTOMBS(mbs_buffer, current_string);
-			fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 114, "'$' at end of string `%s'"),
+			fatal_reader_mksh(gettext("'$' at end of string `%s'"),
 				     mbs_buffer);
 		}
 		if (source->error_converting) {
-			fatal_reader_mksh(NOCATGETS("Internal error: Invalid byte sequence in expand_macro()"));
+			fatal_reader_mksh("Internal error: Invalid byte sequence in expand_macro()");
 		}
 		goto recheck_first_char;
 	case parenleft_char:
@@ -333,7 +333,7 @@
 		closer = (int) braceright_char;
 		break;
 	case newline_char:
-		fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 115, "'$' at end of line"));
+		fatal_reader_mksh(gettext("'$' at end of line"));
 	default:
 		/* Single char macro name. Just suck it up */
 		append_char(*source_p, &string);
@@ -354,24 +354,24 @@
 			if (source == NULL) {
 				if (current_string != NULL) {
 					WCSTOMBS(mbs_buffer, current_string);
-					fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 116, "Unmatched `%c' in string `%s'"),
+					fatal_reader_mksh(gettext("Unmatched `%c' in string `%s'"),
 						     closer ==
 						     (int) braceright_char ?
 						     (int) braceleft_char :
 						     (int) parenleft_char,
 						     mbs_buffer);
 				} else {
-					fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 117, "Premature EOF"));
+					fatal_reader_mksh(gettext("Premature EOF"));
 				}
 			}
 			if (source->error_converting) {
-				fatal_reader_mksh(NOCATGETS("Internal error: Invalid byte sequence in expand_macro()"));
+				fatal_reader_mksh("Internal error: Invalid byte sequence in expand_macro()");
 			}
 			block_start = source_p;
 			source_p--;
 			continue;
 		case newline_char:
-			fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 118, "Unmatched `%c' on line"),
+			fatal_reader_mksh(gettext("Unmatched `%c' on line"),
 				     closer == (int) braceright_char ?
 				     (int) braceleft_char :
 				     (int) parenleft_char);
@@ -454,7 +454,7 @@
 			break;
 		default:
 			WCSTOMBS(mbs_buffer, string.buffer.start);
-			fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 119, "Illegal macro reference `%s'"),
+			fatal_reader_mksh(gettext("Illegal macro reference `%s'"),
 				     mbs_buffer);
 		}
 		/* Internalize the macro name using the first char only. */
@@ -481,7 +481,7 @@
 			while (colon != NULL) {
 				if ((eq = (wchar_t *) wschr(colon + 1,
 							    (int) equal_char)) == NULL) {
-					fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 120, "= missing from replacement macro reference"));
+					fatal_reader_mksh(gettext("= missing from replacement macro reference"));
 				}
 				left_tail_len = eq - colon - 1;
 				if(left_tail) {
@@ -516,14 +516,14 @@
 		} else {
 			if ((eq = (wchar_t *) wschr(colon + 1,
 						    (int) equal_char)) == NULL) {
-				fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 121, "= missing from replacement macro reference"));
+				fatal_reader_mksh(gettext("= missing from replacement macro reference"));
 			}
 			if ((percent = (wchar_t *) wschr(colon + 1,
 							 (int) percent_char)) == NULL) {
-				fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 122, "%% missing from replacement macro reference"));
+				fatal_reader_mksh(gettext("%% missing from replacement macro reference"));
 			}
 			if (eq < percent) {
-				fatal_reader_mksh(catgets(libmksdmsi18n_catd, 1, 123, "%% missing from replacement macro reference"));
+				fatal_reader_mksh(gettext("%% missing from replacement macro reference"));
 			}
 
 			if (percent > (colon + 1)) {
@@ -574,7 +574,7 @@
 					right_hand[i][percent-eq] =
 					  (int) nul_char;
 					if (i++ >= VSIZEOF(right_hand)) {
-						fatal_mksh(catgets(libmksdmsi18n_catd, 1, 124, "Too many %% in pattern"));
+						fatal_mksh(gettext("Too many %% in pattern"));
 					}
 					eq = percent + 1;
 					if (eq[0] == (int) nul_char) {
@@ -633,7 +633,7 @@
 		 */
 		add_macro_to_global_list(name);
 		if (makefile_type == reading_makefile) {
-			warning_mksh(catgets(libmksdmsi18n_catd, 1, 164, "Conditional macro `%s' referenced in file `%ws', line %d"),
+			warning_mksh(gettext("Conditional macro `%s' referenced in file `%ws', line %d"),
 					name->string_mb, file_being_read, line_number);
 		}
 	}
@@ -812,7 +812,7 @@
 		 * This is for the case when the macro name did not
 		 * specify transforms.
 		 */
-		if (!strncmp(name->string_mb, NOCATGETS("GET"), 3)) {
+		if (!strncmp(name->string_mb, "GET", 3)) {
 			dollarget_seen = true;
 		}
 		dollarless_flag = false;
@@ -905,7 +905,7 @@
 	FILE		*pipe;
 	Name		value;
 	int		set_host, set_target;
-	const char	*mach_command = NOCATGETS("/bin/mach");
+	const char	*mach_command = "/bin/mach";
 
 	set_host = (get_prop(host_arch->prop, macro_prop) == NULL);
 	set_target = (get_prop(target_arch->prop, macro_prop) == NULL);
@@ -915,14 +915,14 @@
 		append_char((int) hyphen_char, &result_string);
 
 		if ((pipe = popen(mach_command, "r")) == NULL) {
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 185, "Execute of %s failed"), mach_command);
+			fatal_mksh(gettext("Execute of %s failed"), mach_command);
 		}
 		while (fgets(mb_buf, sizeof(mb_buf), pipe) != NULL) {
 			MBSTOWCS(wcs_buffer, mb_buf);
 			append_string(wcs_buffer, &result_string, wslen(wcs_buffer));
 		}
 		if (pclose(pipe) != 0) {
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 186, "Execute of %s failed"), mach_command);
+			fatal_mksh(gettext("Execute of %s failed"), mach_command);
 		}
 
 		value = GETNAME(result_string.buffer.start, wslen(result_string.buffer.start));
@@ -960,7 +960,7 @@
 	FILE		*pipe;
 	Name		value;
 	int		set_host, set_target;
-	const char	*arch_command = NOCATGETS("/bin/arch");
+	const char	*arch_command = "/bin/arch";
 
 	set_host = (get_prop(host_mach->prop, macro_prop) == NULL);
 	set_target = (get_prop(target_mach->prop, macro_prop) == NULL);
@@ -970,14 +970,14 @@
 		append_char((int) hyphen_char, &result_string);
 
 		if ((pipe = popen(arch_command, "r")) == NULL) {
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 183, "Execute of %s failed"), arch_command);
+			fatal_mksh(gettext("Execute of %s failed"), arch_command);
 		}
 		while (fgets(mb_buf, sizeof(mb_buf), pipe) != NULL) {
 			MBSTOWCS(wcs_buffer, mb_buf);
 			append_string(wcs_buffer, &result_string, wslen(wcs_buffer));
 		}
 		if (pclose(pipe) != 0) {
-			fatal_mksh(catgets(libmksdmsi18n_catd, 1, 184, "Execute of %s failed"), arch_command);
+			fatal_mksh(gettext("Execute of %s failed"), arch_command);
 		}
 
 		value = GETNAME(result_string.buffer.start, wslen(result_string.buffer.start));
@@ -1251,7 +1251,7 @@
 			/*
 			 * We use a permanent buffer to reset SUNPRO_DEPENDENCIES value.
 			 */
-			if (!strncmp(name->string_mb, NOCATGETS("SUNPRO_DEPENDENCIES"), 19)) {
+			if (!strncmp(name->string_mb, "SUNPRO_DEPENDENCIES", 19)) {
 				if (length >= sunpro_dependencies_buf_size) {
 					sunpro_dependencies_buf_size=length*2;
 					if (sunpro_dependencies_buf_size < 4096)
@@ -1302,7 +1302,7 @@
 		    wslen(wcb_ta) +
 		      wslen(wcb_vr);
 		old_vr = wcb_vr;
-		MBSTOWCS(wcs_buffer, NOCATGETS("/usr/arch/"));
+		MBSTOWCS(wcs_buffer, "/usr/arch/");
 		if (IS_WEQUALN(old_vr,
 			       wcs_buffer,
 			       wslen(wcs_buffer))) {
@@ -1315,7 +1315,7 @@
 			new_value_allocated = true;
 			WCSTOMBS(mbs_buffer, old_vr);
 			(void) wsprintf(new_value,
-				        NOCATGETS("/usr/arch/%s/%s:%s"),
+				        "/usr/arch/%s/%s:%s",
 				        ha->string_mb + 1,
 				        ta->string_mb + 1,
 				        mbs_buffer);
--- old/usr/src/cmd/make/lib/mksh/misc.cc	2015-05-20 12:19:59.827111383 -0400
+++ new/usr/src/cmd/make/lib/mksh/misc.cc	2015-05-20 12:19:59.839089041 -0400
@@ -43,13 +43,13 @@
 #include <bsd/bsd.h>		/* bsd_signal() */
 #include <mksh/i18n.h>		/* get_char_semantics_value() */
 #include <mksh/misc.h>
-#include <mksdmsi18n/mksdmsi18n.h>
 #include <stdarg.h>		/* va_list, va_start(), va_end() */
 #include <stdlib.h>		/* mbstowcs() */
 #include <sys/signal.h>		/* SIG_DFL */
 #include <sys/wait.h>		/* wait() */
 
 #include <string.h>		/* strerror() */
+#include <libintl.h>
 
 
 /*
@@ -107,8 +107,8 @@
 	register char          *result = (char *) malloc((unsigned) size);
 	if (result == NULL) {
 		char buf[FATAL_ERROR_MSG_SIZE];
-		sprintf(buf, NOCATGETS("*** Error: malloc(%d) failed: %s\n"), size, strerror(errno));
-		strcat(buf, catgets(libmksdmsi18n_catd, 1, 126, "mksh: Fatal error: Out of memory\n"));
+		sprintf(buf, "*** Error: malloc(%d) failed: %s\n", size, strerror(errno));
+		strcat(buf, gettext("mksh: Fatal error: Out of memory\n"));
 		fputs(buf, stderr);
 		exit_status = 1;
 		exit(1);
@@ -352,7 +352,7 @@
 
 	if ((errnum < 0) || (errnum > sys_nerr)) {
 		errbuf = getmem(6+1+11+1);
-		(void) sprintf(errbuf, catgets(libmksdmsi18n_catd, 1, 127, "Error %d"), errnum);
+		(void) sprintf(errbuf, gettext("Error %d"), errnum);
 		return errbuf;
 	} else {
 		return strerror(errnum);
@@ -377,8 +377,8 @@
 {
 	va_list args;
 	char    *buf = static_buf;
-	char	*mksh_fat_err = catgets(libmksdmsi18n_catd, 1, 128, "mksh: Fatal error: ");
-	char	*cur_wrk_dir = catgets(libmksdmsi18n_catd, 1, 129, "Current working directory: ");
+	char	*mksh_fat_err = gettext("mksh: Fatal error: ");
+	char	*cur_wrk_dir = gettext("Current working directory: ");
 	int	mksh_fat_err_len = strlen(mksh_fat_err);
 
 	va_start(args, message);
@@ -437,7 +437,7 @@
 		WCSTOMBS(mbs_buffer, file_being_read);
 		if (line_number != 0) {
 			(void) sprintf(message,
-				       catgets(libmksdmsi18n_catd, 1, 130, "%s, line %d: %s"),
+				       gettext("%s, line %d: %s"),
 				       mbs_buffer,
 				       line_number,
 				       pattern);
@@ -452,7 +452,7 @@
  */
 
 	(void) fflush(stdout);
-	(void) fprintf(stderr, catgets(libmksdmsi18n_catd, 1, 131, "mksh: Fatal error in reader: "));
+	(void) fprintf(stderr, gettext("mksh: Fatal error in reader: "));
 	(void) vfprintf(stderr, pattern, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
@@ -460,7 +460,7 @@
 /*
 	if (temp_file_name != NULL) {
 		(void) fprintf(stderr,
-			       catgets(libmksdmsi18n_catd, 1, 132, "mksh: Temp-file %s not removed\n"),
+			       gettext("mksh: Temp-file %s not removed\n"),
 			       temp_file_name->string_mb);
 		temp_file_name = NULL;
 	}
@@ -471,7 +471,7 @@
  */
 	if (1) {
 		(void) fprintf(stderr,
-			       catgets(libmksdmsi18n_catd, 1, 133, "Current working directory %s\n"),
+			       gettext("Current working directory %s\n"),
 			       get_current_path_mksh());
 	}
 	(void) fflush(stderr);
@@ -496,7 +496,7 @@
 
 	va_start(args, message);
 	(void) fflush(stdout);
-	(void) fprintf(stderr, catgets(libmksdmsi18n_catd, 1, 134, "mksh: Warning: "));
+	(void) fprintf(stderr, gettext("mksh: Warning: "));
 	(void) vfprintf(stderr, message, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
@@ -505,7 +505,7 @@
  */
 	if (1) {
 		(void) fprintf(stderr,
-			       catgets(libmksdmsi18n_catd, 1, 135, "Current working directory %s\n"),
+			       gettext("Current working directory %s\n"),
 			       get_current_path_mksh());
 	}
 	(void) fflush(stderr);
@@ -602,7 +602,7 @@
 		size = sizeof (struct _Env_mem);
 		break;
 	default:
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 136, "Internal error. Unknown prop type %d"), type);
+		fatal_mksh(gettext("Internal error. Unknown prop type %d"), type);
 	}
 	for (; prop != NULL; insert = &prop->next, prop = *insert);
 	size += PROPERTY_HEAD_SIZE;
@@ -849,7 +849,7 @@
 mbstowcs_with_check(wchar_t *pwcs, const char *s, size_t n)
 {
 	if(mbstowcs(pwcs, s, n) == -1) {
-		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 143, "The string `%s' is not valid in current locale"), s);
+		fatal_mksh(gettext("The string `%s' is not valid in current locale"), s);
 	}
 }
 
--- old/usr/src/cmd/make/lib/mksh/mksh.cc	2015-05-20 12:20:00.304081264 -0400
+++ new/usr/src/cmd/make/lib/mksh/mksh.cc	2015-05-20 12:20:00.315799820 -0400
@@ -36,7 +36,6 @@
 #include <mksh/dosys.h>		/* redirect_io() */
 #include <mksh/misc.h>		/* retmem() */
 #include <mksh/mksh.h>
-#include <mksdmsi18n/mksdmsi18n.h>
 #include <errno.h>
 #include <signal.h>
 
@@ -81,13 +80,13 @@
 init_mksh_globals(char *shell)
 {
 /*
-	MBSTOWCS(wcs_buffer, NOCATGETS("SHELL"));
+	MBSTOWCS(wcs_buffer, "SHELL");
 	shell_name = GETNAME(wcs_buffer, FIND_LENGTH);
 	MBSTOWCS(wcs_buffer, shell);
 	(void) SETVAR(shell_name, GETNAME(wcs_buffer, FIND_LENGTH), false);
  */
 	char * dmake_shell;
-	if ((dmake_shell = getenv(NOCATGETS("DMAKE_SHELL"))) == NULL) {
+	if ((dmake_shell = getenv("DMAKE_SHELL")) == NULL) {
 		dmake_shell = shell;
 	} 
 	MBSTOWCS(wcs_buffer, dmake_shell);
@@ -108,7 +107,7 @@
 	char		*sp_dep_value;
 
 	/* check if SUNPRO_DEPENDENCIES is set in the environment */
-	if ((sp_dep_value = getenv(NOCATGETS("SUNPRO_DEPENDENCIES"))) != NULL) {
+	if ((sp_dep_value = getenv("SUNPRO_DEPENDENCIES")) != NULL) {
 		oldpathlen = strlen(oldpath);
 		/* check if oldpath is indeed in the value of SUNPRO_DEPENDENCIES */
 		if (strncmp(oldpath, sp_dep_value, oldpathlen) == 0) {
@@ -117,12 +116,12 @@
 				       newpath,
 				       sp_dep_value + oldpathlen);
 			length = 2 +
-				strlen(NOCATGETS("SUNPRO_DEPENDENCIES")) +
+				strlen("SUNPRO_DEPENDENCIES") +
 				strlen(buf);
 			env = getmem(length);
 			(void) sprintf(env,
 				       "%s=%s",
-				       NOCATGETS("SUNPRO_DEPENDENCIES"),
+				       "SUNPRO_DEPENDENCIES",
 				       buf);
 			(void) putenv(env);
 		}
--- old/usr/src/cmd/make/lib/mksh/read.cc	2015-05-20 12:20:00.706672330 -0400
+++ new/usr/src/cmd/make/lib/mksh/read.cc	2015-05-20 12:20:00.718419469 -0400
@@ -35,9 +35,9 @@
  */
 #include <mksh/misc.h>		/* retmem() */
 #include <mksh/read.h>
-#include <mksdmsi18n/mksdmsi18n.h>
 #include <sys/uio.h>		/* read() */
 #include <unistd.h>		/* close(), unlink(), read() */
+#include <libintl.h>
 
 #define	STRING_LEN_TO_CONVERT	(8*1024)
 
@@ -110,10 +110,10 @@
 		if (length != to_read) {
 			WCSTOMBS(mbs_buffer, file_being_read);
 			if (length == 0) {
-				fatal_mksh(catgets(libmksdmsi18n_catd, 1, 140, "Error reading `%s': Premature EOF"),
+				fatal_mksh(gettext("Error reading `%s': Premature EOF"),
 				      mbs_buffer);
 			} else {
-				fatal_mksh(catgets(libmksdmsi18n_catd, 1, 141, "Error reading `%s': %s"),
+				fatal_mksh(gettext("Error reading `%s': %s"),
 				      mbs_buffer,
 				      errmsg(errno));
 			}
@@ -153,7 +153,7 @@
 	if (source->inp_buf_ptr >= source->inp_buf_end) {
 		if (*(source->string.text.end - 1) != (int) newline_char) {
 			WCSTOMBS(mbs_buffer, file_being_read);
-			warning_mksh(catgets(libmksdmsi18n_catd, 1, 142, "newline is not last character in file %s"),
+			warning_mksh(gettext("newline is not last character in file %s"),
 					     mbs_buffer);
 			*source->string.text.end++ = (int) newline_char;
 			*source->string.text.end = (int) nul_char;
--- old/usr/src/cmd/make/lib/vroot/Makefile	2015-05-20 12:20:01.117096936 -0400
+++ new/usr/src/cmd/make/lib/vroot/Makefile	2015-05-20 12:20:01.128919897 -0400
@@ -39,6 +39,9 @@
 include $(SRC)/lib/Makefile.lib
 include ../../Makefile.com
 
+POFILE = libvroot.po
+POFILES = $(OBJECTS:%.o=%.po)
+
 LIBS = $(LIBRARY)
 SRCDIR = ../
 MAPFILES=
@@ -50,4 +53,11 @@
 
 lint:
 
+$(POFILE): $(POFILES)
+	$(CAT) $(POFILES) > $@
+
+_msg: $(MSGDOMAIN) $(POFILE)
+	$(RM) $(MSGDOMAIN)/$(POFILE)
+	$(CP) $(POFILE) $(MSGDOMAIN)
+
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/cmd/make/lib/vroot/lock.cc	2015-05-20 12:20:01.514449339 -0400
+++ new/usr/src/cmd/make/lib/vroot/lock.cc	2015-05-20 12:20:01.526102530 -0400
@@ -23,7 +23,6 @@
  * Use is subject to license terms.
  */
 
-#include <avo/intl.h>	/* for NOCATGETS */
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
@@ -33,9 +32,9 @@
 #include <sys/types.h>
 #include <unistd.h>
 #include <vroot/vroot.h>
-#include <mksdmsi18n/mksdmsi18n.h>
 #include <signal.h>
 #include <errno.h>			/* errno */
+#include <libintl.h>
 
 extern	char		*sys_errlist[];
 extern	int		sys_nerr;
@@ -109,7 +108,7 @@
 		UNBLOCK_INTERUPTS;
 
 		if (errno != EEXIST) {
-			file_lock_error(msg, name, (char *)NOCATGETS("symlink(%s, %s)"),
+			file_lock_error(msg, name, (char *)"symlink(%s, %s)",
 			    (int) name, (int) lockname);
 			fprintf(stderr, "%s", msg);
 			return errno;
@@ -131,13 +130,13 @@
 				/* Print waiting message after 5 secs */
 				(void) getcwd(msg, MAXPATHLEN);
 				fprintf(stderr,
-					catgets(libmksdmsi18n_catd, 1, 162, "file_lock: file %s is already locked.\n"),
+					gettext("file_lock: file %s is already locked.\n"),
 					name);
 				fprintf(stderr,
-					catgets(libmksdmsi18n_catd, 1, 163, "file_lock: will periodically check the lockfile %s for two minutes.\n"),
+					gettext("file_lock: will periodically check the lockfile %s for two minutes.\n"),
 					lockname);
 				fprintf(stderr,
-					catgets(libmksdmsi18n_catd, 1, 144, "Current working directory %s\n"),
+					gettext("Current working directory %s\n"),
 					msg);
 
 				printed_warning = 1;
@@ -162,15 +161,15 @@
 {
 	int		len;
 
-	sprintf(msg, catgets(libmksdmsi18n_catd, 1, 145, "Could not lock file `%s'; "), file);
+	sprintf(msg, gettext("Could not lock file `%s'; "), file);
 	len = strlen(msg);
 	sprintf(&msg[len], str, arg1, arg2);
-	strcat(msg, catgets(libmksdmsi18n_catd, 1, 146, " failed - "));
+	strcat(msg, gettext(" failed - "));
 	if (errno < sys_nerr) {
 		strcat(msg, strerror(errno));
 	} else {
 		len = strlen(msg);
-		sprintf(&msg[len], NOCATGETS("errno %d"), errno);
+		sprintf(&msg[len], "errno %d", errno);
 	}
 }
 
--- old/usr/src/cmd/make/lib/vroot/report.cc	2015-05-20 12:20:01.924422572 -0400
+++ new/usr/src/cmd/make/lib/vroot/report.cc	2015-05-20 12:20:01.936078394 -0400
@@ -29,11 +29,10 @@
 #include <sys/param.h>
 #include <sys/wait.h>
 #include <unistd.h>
+#include <libintl.h>
 
 #include <vroot/report.h>
 #include <vroot/vroot.h>
-#include <mksdmsi18n/mksdmsi18n.h>
-#include <avo/intl.h>	/* for NOCATGETS */
 #include <mk/defs.h>	/* for tmpdir */
 
 static	FILE	*report_file;
@@ -110,12 +109,12 @@
 		return;
 	}
 	sprintf(nse_depinfo_file, "%s/%s", search_dir, NSE_DEPINFO);
-	sprintf(merge_file, NOCATGETS("%s/.tmp%s.%d"), search_dir, NSE_DEPINFO, getpid());
+	sprintf(merge_file, "%s/.tmp%s.%d", search_dir, NSE_DEPINFO, getpid());
 	sprintf(lock_file, "%s/%s", search_dir, NSE_DEPINFO_LOCK);
 	err = file_lock(nse_depinfo_file, lock_file, &file_locked, 0);
 	if (err) {
 		if (warning_ptr != (void (*) (char *, ...)) NULL) {
-			(*warning_ptr)(catgets(libmksdmsi18n_catd, 1, 147, "Couldn't write to %s"), nse_depinfo_file);
+			(*warning_ptr)(gettext("Couldn't write to %s"), nse_depinfo_file);
                       }
 		unlink(command_output_tmpfile);
 		return;
@@ -125,7 +124,7 @@
 		if (is_path) {
 			if ((nse_depinfo_fp = 
 			     fopen(nse_depinfo_file, "w")) == NULL) {
-				fprintf(stderr, catgets(libmksdmsi18n_catd, 1, 148, "Cannot open `%s' for writing\n"),
+				fprintf(stderr, gettext("Cannot open `%s' for writing\n"),
 				    nse_depinfo_file);
 				unlink(command_output_tmpfile);
 
@@ -146,7 +145,7 @@
 		return;
 	}
 	if ((merge_fp = fopen(merge_file, "w")) == NULL) {
-		fprintf(stderr, catgets(libmksdmsi18n_catd, 1, 149, "Cannot open %s for writing\n"), merge_file);
+		fprintf(stderr, gettext("Cannot open %s for writing\n"), merge_file);
 		if (file_locked) {
 			unlink(lock_file);
 		}
@@ -208,12 +207,12 @@
 
 	if (command_output_fp == NULL) {
 		sprintf(command_output_tmpfile, 
-			NOCATGETS("%s/%s.%d.XXXXXX"), tmpdir, NSE_DEPINFO, getpid());
+			"%s/%s.%d.XXXXXX", tmpdir, NSE_DEPINFO, getpid());
 		int fd = mkstemp(command_output_tmpfile);
 		if ((fd < 0) || (command_output_fp = fdopen(fd, "w")) == NULL) {
 			return;
 		}
-		if ((search_dir = getenv(NOCATGETS("NSE_DEP"))) == NULL) {
+		if ((search_dir = getenv("NSE_DEP")) == NULL) {
 			return;
 		}
 		atexit(close_file);
@@ -257,7 +256,7 @@
 	char		filename[MAXPATHLEN];
 	char		*p, *ptr;
 
-	if ((sdir = getenv(NOCATGETS("NSE_DEP"))) == NULL) {
+	if ((sdir = getenv("NSE_DEP")) == NULL) {
 		return;
 	}
 	if ((p= getenv(SUNPRO_DEPENDENCIES)) == NULL) {
@@ -267,7 +266,7 @@
 	if( ! ptr ) {
 		return;
 	}
-	sprintf(filename, NOCATGETS("%s-CPP"), ptr+1);
+	sprintf(filename, "%s-CPP", ptr+1);
 	getcwd(curdir, sizeof(curdir));
 	if (strcmp(curdir, sdir) != 0 && strlen(iflag) > 2 && 
 	    iflag[2] != '/') {
--- old/usr/src/cmd/make/lib/vroot/vroot.cc	2015-05-20 12:20:02.351474881 -0400
+++ new/usr/src/cmd/make/lib/vroot/vroot.cc	2015-05-20 12:20:02.363265211 -0400
@@ -34,8 +34,6 @@
 #include <sys/param.h>
 #include <sys/file.h>
 
-#include <avo/intl.h>	/* for NOCATGETS */
-
 typedef struct {
 	short		init;
 	pathpt		vector;
@@ -54,8 +52,8 @@
 } vroot_datat, *vroot_datapt;
 
 static vroot_datat	vroot_data= {
-	{ 0, NULL, NOCATGETS("VIRTUAL_ROOT")},
-	{ 0, NULL, NOCATGETS("PATH")},
+	{ 0, NULL, "VIRTUAL_ROOT"},
+	{ 0, NULL, "PATH"},
 	"", NULL, NULL, NULL, 0, 1};
 
 void
